Skip to main content
`Ctrl`+`K`

# Point

Point.py - Extension of QPointF which adds a few missing methods. Copyright 2010 Luke Campagnola Distributed under MIT/X11 license. See license.txt for more information.

class pyqtgraph.Point.Point(*args)

  Extension of QPointF which adds a few missing methods.

  angle(a, units='degrees')

    Returns the angle in degrees from the vector a to self.

    Parameters:

      - a (`Point`, `QPointF` or `QPoint`) – The Point to return the angle with

      - units (`str`, optional) – The units with which to compute the angle with, “degrees” or “radians”, default “degrees”

    Returns:

      The angle between two vectors

    Return type:

      `float`

  cross(a)

    Returns the cross product of a and this Point

  dot(a)

    Returns the dot product of a and this Point.

  length()

    Returns the vector length of this Point.

  norm()

    Returns a vector in the same direction with unit length.

  proj(b)

    Return the projection of this vector onto the vector b